<template>
  <div>
    <h1 class="my-2">{{ $t("ProviderEdit.Packages") }}</h1>
    <v-divider class="my-2"></v-divider>
    <v-data-table
      :headers="headers"
      :items="getPackages"
      loading-text="جاري تحميل البيانات"
      no-data-text="لا يوجد بيانات"
      hide-default-footer
      disable-filtering
      disable-pagination
      disable-sort
      class="elevation-1"
    >
    <template v-slot:[`item.services`]="{ item }">
        <div v-for="item in item.services" :key="item">
            <v-chip class="ma-1" color="#bf87a0" text-color="white">
              {{ item.name }}
            </v-chip>
          </div>
      </template>

    </v-data-table>
  </div>
</template>
<script>
import { mapActions, mapGetters } from "vuex";

export default {
  name: "offers",
  data() {
    return {
      headers: [
        {
          text: this.$i18n.t("common.name"),
          value: "name",
        },
        {
          text: this.$i18n.t("ProviderEdit.type"),
          value: "type",
        },

        {
          text: this.$i18n.t("ecommerce.price"),
          value: "price",
        },
        {
          text: this.$i18n.t("ProviderEdit.workPlace"),
          value: "workPlace",
        },
        {
          text: this.$i18n.t("ProviderEdit.Services"),
          value: "services",
        },
      ],
    };
  },
  mounted() {
    this.fetchPackages(this.$route.params.id);
  },
  methods: {
    ...mapActions("accountInformation", ["fetchPackages"]),
  },
  computed: {
    ...mapGetters("accountInformation", ["getPackages"]),
  },
};
</script>
